Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065561 - [abrt] libwebkit2gtk: gtk_widget_destroy(): WebKitPluginProcess killed by SIGSEGV
Summary: [abrt] libwebkit2gtk: gtk_widget_destroy(): WebKitPluginProcess killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk3
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df6009deb8656b750160a57b080...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 23:22 UTC by Joachim Frieben
Modified: 2016-07-19 11:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:00:36 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2014-02-14 23:23 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2014-02-14 23:22:57 UTC
Version-Release number of selected component:
libwebkit2gtk-2.3.5-2.fc21

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitPluginProcess 34 /usr/lib64/mozilla/plugins/libjavaplugin.so
crash_function: gtk_widget_destroy
executable:     /usr/libexec/WebKitPluginProcess
kernel:         3.14.0-0.rc2.git3.2.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_destroy at gtkwidget.c:3187
 #1 WebKit::NetscapePlugin::platformDestroy at Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp:260
 #2 WebKit::NetscapePlugin::destroy at Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.cpp:677
 #3 WebKit::Plugin::destroyPlugin at Source/WebKit2/WebProcess/Plugins/Plugin.cpp:100
 #4 WebKit::PluginControllerProxy::destroy at Source/WebKit2/PluginProcess/PluginControllerProxy.cpp:153
 #5 destroyPluginControllerProxy at Source/WebKit2/PluginProcess/WebProcessConnection.cpp:82
 #6 WebKit::WebProcessConnection::destroyPlugin at Source/WebKit2/PluginProcess/WebProcessConnection.cpp:198
 #7 callMemberFunctionImpl<WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(long unsigned int, bool), std::tuple<long unsigned int, bool>, 0ul, 1ul, std::tuple<> > at Source/WebKit2/Platform/IPC/HandleMessage.h:30
 #8 callMemberFunction<WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(long unsigned int, bool), std::tuple<long unsigned int, bool>, std::make_index_sequence<2ul>, std::tuple<>, std::make_index_sequence<0ul> > at Source/WebKit2/Platform/IPC/HandleMessage.h:36
 #9 handleMessage<Messages::WebProcessConnection::DestroyPlugin, WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(unsigned long, bool)> at Source/WebKit2/Platform/IPC/HandleMessage.h:128

Comment 1 Joachim Frieben 2014-02-14 23:23:02 UTC
Created attachment 863509 [details]
File: backtrace

Comment 2 Joachim Frieben 2014-02-14 23:23:04 UTC
Created attachment 863510 [details]
File: cgroup

Comment 3 Joachim Frieben 2014-02-14 23:23:07 UTC
Created attachment 863511 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2014-02-14 23:23:09 UTC
Created attachment 863512 [details]
File: dso_list

Comment 5 Joachim Frieben 2014-02-14 23:23:11 UTC
Created attachment 863513 [details]
File: environ

Comment 6 Joachim Frieben 2014-02-14 23:23:13 UTC
Created attachment 863514 [details]
File: exploitable

Comment 7 Joachim Frieben 2014-02-14 23:23:15 UTC
Created attachment 863515 [details]
File: limits

Comment 8 Joachim Frieben 2014-02-14 23:23:18 UTC
Created attachment 863516 [details]
File: maps

Comment 9 Joachim Frieben 2014-02-14 23:23:20 UTC
Created attachment 863517 [details]
File: open_fds

Comment 10 Joachim Frieben 2014-02-14 23:23:22 UTC
Created attachment 863518 [details]
File: proc_pid_status

Comment 11 Joachim Frieben 2014-02-14 23:23:24 UTC
Created attachment 863519 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 15:29:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora End Of Life 2016-07-19 11:00:36 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.